package com.yijia.integral.service.impl;

import java.util.List;
import com.yijia.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yijia.integral.mapper.IntegralWaresMapper;
import com.yijia.integral.domain.IntegralWares;
import com.yijia.integral.service.IIntegralWaresService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author yijia
 * @date 2021-03-01
 */
@Service
public class IntegralWaresServiceImpl implements IIntegralWaresService 
{
    @Autowired
    private IntegralWaresMapper integralWaresMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public IntegralWares selectIntegralWaresById(Long id)
    {
        return integralWaresMapper.selectIntegralWaresById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param integralWares 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<IntegralWares> selectIntegralWaresList(IntegralWares integralWares)
    {
        return integralWaresMapper.selectIntegralWaresList(integralWares);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param integralWares 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertIntegralWares(IntegralWares integralWares)
    {
        integralWares.setCreateTime(DateUtils.getNowDate());
        return integralWaresMapper.insertIntegralWares(integralWares);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param integralWares 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateIntegralWares(IntegralWares integralWares)
    {
        integralWares.setUpdateTime(DateUtils.getNowDate());
        return integralWaresMapper.updateIntegralWares(integralWares);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteIntegralWaresByIds(Long[] ids)
    {
        return integralWaresMapper.deleteIntegralWaresByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteIntegralWaresById(Long id)
    {
        return integralWaresMapper.deleteIntegralWaresById(id);
    }
}
