package com.yijia.integral.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 integral_rule_detail
 * 
 * @author yijia
 * @date 2021-03-09
 */
public class IntegralRuleDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 规则主表主键id */
    @Excel(name = "规则主表主键id")
    private Long parentId;

    /** 规则满足条件（满足多少升，多少元） */
    @Excel(name = "规则满足条件", readConverterExp = "满=足多少升，多少元")
    private BigDecimal ruleTerms;

    /** 等级主键id */
    @Excel(name = "等级主键id")
    private Long greadId;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private String gread;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 每消费金额 */
    @Excel(name = "每消费金额")
    private BigDecimal saleAmt;

    /** 兑换积分 */
    @Excel(name = "兑换积分")
    private BigDecimal integral;

    /** 规则类型 */
    @Excel(name = "规则类型")
    private String ruleType;
    /** 油品类型 1.油品。2.非油品*/
    private String oilType;

    public String getOilType() {
        return oilType;
    }

    public void setOilType(String oilType) {
        this.oilType = oilType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setRuleTerms(BigDecimal ruleTerms) 
    {
        this.ruleTerms = ruleTerms;
    }

    public BigDecimal getRuleTerms() 
    {
        return ruleTerms;
    }
    public void setGreadId(Long greadId) 
    {
        this.greadId = greadId;
    }

    public Long getGreadId() 
    {
        return greadId;
    }
    public void setGread(String gread) 
    {
        this.gread = gread;
    }

    public String getGread() 
    {
        return gread;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setSaleAmt(BigDecimal saleAmt) 
    {
        this.saleAmt = saleAmt;
    }

    public BigDecimal getSaleAmt() 
    {
        return saleAmt;
    }
    public void setIntegral(BigDecimal integral) 
    {
        this.integral = integral;
    }

    public BigDecimal getIntegral() 
    {
        return integral;
    }
    public void setRuleType(String ruleType) 
    {
        this.ruleType = ruleType;
    }

    public String getRuleType() 
    {
        return ruleType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("ruleTerms", getRuleTerms())
            .append("greadId", getGreadId())
            .append("gread", getGread())
            .append("oilName", getOilName())
            .append("saleAmt", getSaleAmt())
            .append("integral", getIntegral())
            .append("ruleType", getRuleType())
            .toString();
    }
}
