package com.yijia.integral.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 integral_wares
 * 
 * @author yijia
 * @date 2021-03-01
 */
public class IntegralWares extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商品主键id */
    private Long id;

    /** 商品类别 */
    @Excel(name = "商品类别")
    private String waresType;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String waresName;

    /** 消费积分 */
    @Excel(name = "消费积分")
    private BigDecimal saleIntegral;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String waresPic;

    /** 商品详情 */
    @Excel(name = "商品详情")
    private String waresDetail;

    /** 库存 */
    @Excel(name = "库存")
    private Long waresCount;

    /** 已售货物数量 */
    @Excel(name = "已售货物数量")
    private Long waresOutCount;

    /** 商品状态（1上架，2下架） */
    @Excel(name = "商品状态", readConverterExp = "1=上架，2下架")
    private String waresStatus;

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String createName;

    /** 更新人名称 */
    @Excel(name = "更新人名称")
    private String updateName;

    /** 油站ID */
    @Excel(name = "油站ID")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWaresType(String waresType) 
    {
        this.waresType = waresType;
    }

    public String getWaresType() 
    {
        return waresType;
    }
    public void setWaresName(String waresName) 
    {
        this.waresName = waresName;
    }

    public String getWaresName() 
    {
        return waresName;
    }
    public void setSaleIntegral(BigDecimal saleIntegral) 
    {
        this.saleIntegral = saleIntegral;
    }

    public BigDecimal getSaleIntegral() 
    {
        return saleIntegral;
    }
    public void setWaresPic(String waresPic) 
    {
        this.waresPic = waresPic;
    }

    public String getWaresPic() 
    {
        return waresPic;
    }
    public void setWaresDetail(String waresDetail) 
    {
        this.waresDetail = waresDetail;
    }

    public String getWaresDetail() 
    {
        return waresDetail;
    }
    public void setWaresCount(Long waresCount) 
    {
        this.waresCount = waresCount;
    }

    public Long getWaresCount() 
    {
        return waresCount;
    }
    public void setWaresOutCount(Long waresOutCount) 
    {
        this.waresOutCount = waresOutCount;
    }

    public Long getWaresOutCount() 
    {
        return waresOutCount;
    }
    public void setWaresStatus(String waresStatus) 
    {
        this.waresStatus = waresStatus;
    }

    public String getWaresStatus() 
    {
        return waresStatus;
    }
    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }
    public void setUpdateName(String updateName) 
    {
        this.updateName = updateName;
    }

    public String getUpdateName() 
    {
        return updateName;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("waresType", getWaresType())
            .append("waresName", getWaresName())
            .append("saleIntegral", getSaleIntegral())
            .append("waresPic", getWaresPic())
            .append("waresDetail", getWaresDetail())
            .append("waresCount", getWaresCount())
            .append("waresOutCount", getWaresOutCount())
            .append("waresStatus", getWaresStatus())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("createName", getCreateName())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("updateName", getUpdateName())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .toString();
    }
}
